Kubernetes
action Network

# delete_network_fault

Remove a network fault

Run it now
View details

Type | action
Module | chaosk8s.chaosmesh.network.actions
Name | delete_network_fault
Return | mapping

Usage

JSON

    {
      "name": "delete-network-fault",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.network.actions",
        "func": "delete_network_fault",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: delete-network-fault
    provider:
      arguments:
        name: ''
      func: delete_network_fault
      module: chaosk8s.chaosmesh.network.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | A unique name identifying a particular fault
ns | string | default | No | Namespace | Namespace where to remove the fault from

Signature

    def delete_network_fault(
            name: str,
            ns: str = 'default',
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  action Network

  ## `set_bandwidth`

  Simulate bandwith on a Pod network link
- Kubernetes
  action Network

  ## `duplicate_packets`

  Duplicate packets on a Pod network link
- Kubernetes
  action Network

  ## `add_latency`

  Add latency to a network link of a Pod